## haskell-wreq 0.5.4.3

=== www/Makefile ===
bootstrap := bootstrap-3.1.1-dist

files := index.html tutorial.html
deps = bootstrap-custom.css background.jpg
install := $(files) $(deps)
destdir := $(HOME)/public_html/wreq

all: $(files)

install: $(files)
	-mkdir -p $(destdir)
	cp -a $(install) $(destdir)
	cp -a $(bootstrap) $(destdir)
	-chcon -R -t httpd_sys_content_t $(destdir)

%.html: %.md template.html $(deps)
	pandoc $< -o $@ --smart --template template.html \
	  --css $(bootstrap)/css/bootstrap.css \
	  --css bootstrap-custom.css \
	  --toc --toc-depth 2

clean:
	-rm -f $(files)

## haskell-wreq 0.4.1.0

=== debian/changelog ===
haskell-wreq (0.4.1.0-1build2) zesty; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Oct 2016 23:07:28 +0000

haskell-wreq (0.4.1.0-1build1) yakkety; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 21 Aug 2016 22:14:22 +0200

haskell-wreq (0.4.1.0-1) unstable; urgency=low

  * Initial release

 -- Clint Adams <clint@debian.org>  Mon, 08 Aug 2016 13:07:18 -0400

=== debian/control ===
Source: haskell-wreq
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.9),
 cdbs,
 ghc,
 ghc-prof,
 libghc-aeson-dev (>= 0.7.0.3),
 libghc-aeson-prof,
 libghc-attoparsec-dev (>= 0.11.1.0),
 libghc-attoparsec-prof,
 libghc-authenticate-oauth-dev (>= 1.5),
 libghc-authenticate-oauth-dev (<< 1.6),
 libghc-authenticate-oauth-prof,
 libghc-base16-bytestring-dev,
 libghc-base16-bytestring-prof,
 libghc-byteable-dev,
 libghc-byteable-prof,
 libghc-case-insensitive-dev,
 libghc-case-insensitive-prof,
 libghc-cryptohash-dev,
 libghc-cryptohash-prof,
 libghc-exceptions-dev (>= 0.5),
 libghc-exceptions-prof,
 libghc-hashable-dev,
 libghc-hashable-prof,
 libghc-http-client-dev (>= 0.4.6),
 libghc-http-client-prof,
 libghc-http-client-tls-dev (>= 0.2),
 libghc-http-client-tls-prof,
 libghc-http-types-dev (>= 0.8),
 libghc-http-types-prof,
 libghc-lens-dev (>= 4.5),
 libghc-lens-prof,
 libghc-lens-aeson-dev,
 libghc-lens-aeson-prof,
 libghc-mime-types-dev,
 libghc-mime-types-prof,
 libghc-psqueues-dev (>= 0.2),
 libghc-psqueues-prof,
 libghc-text-dev,
 libghc-text-prof,
 libghc-time-locale-compat-dev,
 libghc-time-locale-compat-prof,
 libghc-unordered-containers-dev,
 libghc-unordered-containers-prof,
 libghc-hunit-dev,
 libghc-quickcheck2-dev (>= 2.7),
 libghc-aeson-dev,
 libghc-aeson-pretty-dev (>= 0.7.1),
 libghc-base64-bytestring-dev,
 libghc-doctest-dev,
 libghc-http-client-dev,
 libghc-http-types-dev,
 libghc-lens-dev,
 libghc-network-info-dev,
 libghc-snap-core-dev,
 libghc-snap-server-dev (>= 0.9.4.4),
 libghc-temporary-dev,
 libghc-test-framework-dev,
 libghc-test-framework-hunit-dev,
 libghc-test-framework-quickcheck2-dev,
 libghc-unix-compat-dev,
 libghc-uuid-dev,
 libghc-vector-dev,
Build-Depends-Indep: ghc-doc,
 libghc-aeson-doc,
 libghc-attoparsec-doc,
 libghc-authenticate-oauth-doc,
 libghc-base16-bytestring-doc,
 libghc-byteable-doc,
 libghc-case-insensitive-doc,
 libghc-cryptohash-doc,
 libghc-exceptions-doc,
 libghc-hashable-doc,
 libghc-http-client-doc,
 libghc-http-client-tls-doc,
 libghc-http-types-doc,
 libghc-lens-doc,
 libghc-lens-aeson-doc,
 libghc-mime-types-doc,
 libghc-psqueues-doc,
 libghc-text-doc,
 libghc-time-locale-compat-doc,
 libghc-unordered-containers-doc,
Standards-Version: 3.9.8
Homepage: http://www.serpentine.com/wreq
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-wreq
Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
X-Description: easy-to-use HTTP client library
 A web client library that is designed for ease of use.
 .
 Features include:
  * Simple but powerful `lens`-based API
  * A solid test suite, and built on reliable libraries like
    http-client and lens
  * Session handling includes connection keep-alive and pooling, and
    cookie persistence
  * Automatic response body decompression
  * Powerful multipart form and file upload handling
  * Support for JSON requests and responses, including navigation of
    schema-less responses
  * Basic and OAuth2 bearer authentication
  * Early TLS support via the tls package

Package: libghc-wreq-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-wreq-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-wreq-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-wreq 0.5.0.1

=== debian/changelog ===
haskell-wreq (0.5.0.1-1build5) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Jan 2018 15:33:33 +0100

haskell-wreq (0.5.0.1-1build4) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Dec 2017 00:57:29 +0100

haskell-wreq (0.5.0.1-1build3) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Nov 2017 19:17:12 +0100

haskell-wreq (0.5.0.1-1build2) bionic; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 22:57:33 +0000

haskell-wreq (0.5.0.1-1build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Jul 2017 18:37:07 +0200

haskell-wreq (0.5.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 06 Jul 2017 22:39:19 -0400

haskell-wreq (0.4.1.0-6) unstable; urgency=medium

  * Patch for newer snap-core.

 -- Clint Adams <clint@debian.org>  Sat, 29 Oct 2016 21:09:35 -0400

haskell-wreq (0.4.1.0-5) unstable; urgency=medium

  * Patch to only build with aeson-pretty >= 0.8.

 -- Clint Adams <clint@debian.org>  Sat, 29 Oct 2016 19:39:59 -0400

haskell-wreq (0.4.1.0-4) unstable; urgency=medium

  * Patch to build with more versions of aeson-pretty.

 -- Clint Adams <clint@debian.org>  Sat, 29 Oct 2016 16:39:33 -0400

haskell-wreq (0.4.1.0-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:02 -0400

haskell-wreq (0.4.1.0-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 20:08:51 -0400

=== debian/control ===
Source: haskell-wreq
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-aeson-dev,
 libghc-aeson-dev (>= 0.7.0.3),
 libghc-aeson-pretty-dev (>= 0.7.1),
 libghc-aeson-prof,
 libghc-attoparsec-dev (>= 0.11.1.0),
 libghc-attoparsec-prof,
 libghc-authenticate-oauth-dev (>= 1.5),
 libghc-authenticate-oauth-prof,
 libghc-base16-bytestring-dev,
 libghc-base16-bytestring-prof,
 libghc-base64-bytestring-dev,
 libghc-byteable-dev,
 libghc-byteable-prof,
 libghc-case-insensitive-dev,
 libghc-case-insensitive-prof,
 libghc-cryptohash-dev,
 libghc-cryptohash-prof,
 libghc-doctest-dev,
 libghc-exceptions-dev (>= 0.5),
 libghc-exceptions-prof,
 libghc-hashable-dev,
 libghc-hashable-prof,
 libghc-http-client-dev (>= 0.5.3.2),
 libghc-http-client-prof,
 libghc-http-client-tls-dev (>= 0.3.3),
 libghc-http-client-tls-prof,
 libghc-http-types-dev,
 libghc-http-types-dev (>= 0.8),
 libghc-http-types-prof,
 libghc-hunit-dev,
 libghc-lens-aeson-dev,
 libghc-lens-aeson-prof,
 libghc-lens-dev,
 libghc-lens-dev (>= 4.5),
 libghc-lens-prof,
 libghc-mime-types-dev,
 libghc-mime-types-prof,
 libghc-network-info-dev,
 libghc-psqueues-dev (>= 0.2),
 libghc-psqueues-prof,
 libghc-quickcheck2-dev (>= 2.7),
 libghc-aeson-dev,
 libghc-aeson-pretty-dev (>= 0.8.0),
 libghc-base64-bytestring-dev,
 libghc-doctest-dev,
 libghc-http-client-dev,
 libghc-http-types-dev,
 libghc-lens-dev,
 libghc-network-info-dev,
 libghc-snap-core-dev (>= 1.0.0.0),
 libghc-snap-server-dev (>= 0.9.4.4),
 libghc-temporary-dev,
 libghc-test-framework-dev,
 libghc-test-framework-hunit-dev,
 libghc-test-framework-quickcheck2-dev,
 libghc-text-dev,
 libghc-text-prof,
 libghc-time-locale-compat-dev,
 libghc-time-locale-compat-prof,
 libghc-unix-compat-dev,
 libghc-unordered-containers-dev,
 libghc-unordered-containers-prof,
 libghc-uuid-dev,
 libghc-vector-dev,
Build-Depends-Indep:
 ghc-doc,
 libghc-aeson-doc,
 libghc-attoparsec-doc,
 libghc-authenticate-oauth-doc,
 libghc-base16-bytestring-doc,
 libghc-byteable-doc,
 libghc-case-insensitive-doc,
 libghc-cryptohash-doc,
 libghc-exceptions-doc,
 libghc-hashable-doc,
 libghc-http-client-doc,
 libghc-http-client-tls-doc,
 libghc-http-types-doc,
 libghc-lens-aeson-doc,
 libghc-lens-doc,
 libghc-mime-types-doc,
 libghc-psqueues-doc,
 libghc-text-doc,
 libghc-time-locale-compat-doc,
 libghc-unordered-containers-doc,
Standards-Version: 4.0.0
Homepage: http://www.serpentine.com/wreq
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-wreq
Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
X-Description: easy-to-use HTTP client library
 A web client library that is designed for ease of use.
 .
 Features include:
  * Simple but powerful `lens`-based API
  * A solid test suite, and built on reliable libraries like
    http-client and lens
  * Session handling includes connection keep-alive and pooling, and
    cookie persistence
  * Automatic response body decompression
  * Powerful multipart form and file upload handling
  * Support for JSON requests and responses, including navigation of
    schema-less responses
  * Basic and OAuth2 bearer authentication
  * Early TLS support via the tls package

Package: libghc-wreq-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-wreq-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-wreq-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f

DEB_ENABLE_TESTS = yes
DEB_CABAL_PACKAGE = wreq
DEB_DEFAULT_COMPILER = ghc

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
http://hackage.haskell.org/package/wreq/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-wreq 0.5.2.1

=== debian/changelog ===
haskell-wreq (0.5.2.1-4) unstable; urgency=medium

  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:48 +0300

haskell-wreq (0.5.2.1-3) unstable; urgency=medium

  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:25:38 +0300

haskell-wreq (0.5.2.1-2) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Disable doctests since they require network access (Closes: #897512)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 11 Jun 2018 19:51:02 +0300

haskell-wreq (0.5.2.1-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 17:29:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: haskell-wreq
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
-Priority: extra
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-aeson-dev,
@@ -21,14 +21,10 @@
  libghc-authenticate-oauth-prof,
  libghc-base16-bytestring-dev,
  libghc-base16-bytestring-prof,
- libghc-base64-bytestring-dev,
- libghc-byteable-dev,
- libghc-byteable-prof,
  libghc-case-insensitive-dev,
  libghc-case-insensitive-prof,
- libghc-cryptohash-dev,
- libghc-cryptohash-prof,
- libghc-doctest-dev,
+ libghc-cryptonite-dev,
+ libghc-cryptonite-prof,
  libghc-exceptions-dev (>= 0.5),
  libghc-exceptions-prof,
  libghc-hashable-dev,
@@ -43,9 +39,8 @@
  libghc-hunit-dev,
  libghc-lens-aeson-dev,
  libghc-lens-aeson-prof,
- libghc-lens-dev,
- libghc-lens-dev (>= 4.5),
- libghc-lens-prof,
+ libghc-memory-dev,
+ libghc-memory-prof,
  libghc-mime-types-dev,
  libghc-mime-types-prof,
  libghc-network-info-dev,
@@ -66,8 +61,6 @@
  libghc-test-framework-dev,
  libghc-test-framework-hunit-dev,
  libghc-test-framework-quickcheck2-dev,
- libghc-text-dev,
- libghc-text-prof,
  libghc-time-locale-compat-dev,
  libghc-time-locale-compat-prof,
  libghc-unix-compat-dev,
@@ -81,25 +74,23 @@
  libghc-attoparsec-doc,
  libghc-authenticate-oauth-doc,
  libghc-base16-bytestring-doc,
- libghc-byteable-doc,
  libghc-case-insensitive-doc,
- libghc-cryptohash-doc,
+ libghc-cryptonite-doc,
  libghc-exceptions-doc,
  libghc-hashable-doc,
  libghc-http-client-doc,
  libghc-http-client-tls-doc,
  libghc-http-types-doc,
  libghc-lens-aeson-doc,
- libghc-lens-doc,
+ libghc-memory-doc,
  libghc-mime-types-doc,
  libghc-psqueues-doc,
- libghc-text-doc,
  libghc-time-locale-compat-doc,
  libghc-unordered-containers-doc,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: http://www.serpentine.com/wreq
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-wreq
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-wreq
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-wreq]
 X-Description: easy-to-use HTTP client library
  A web client library that is designed for ease of use.
  .

=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,8 @@
 DEB_CABAL_PACKAGE = wreq
 DEB_DEFAULT_COMPILER = ghc
 
+# Disable doctests since they require network access
+DEB_SETUP_GHC_CONFIGURE_ARGS += -f-doctest
+
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-wreq 0.5.3.1

=== debian/changelog ===
haskell-wreq (0.5.3.1-1build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Aug 2019 16:31:37 +0200

haskell-wreq (0.5.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 29 Jul 2019 20:22:39 -0400

## haskell-wreq 0.5.3.2

=== debian/changelog ===
haskell-wreq (0.5.3.2-2) unstable; urgency=medium

  * Disable tests on s390x, as they seem to fail randomly

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 29 Jul 2020 16:44:47 +0300

haskell-wreq (0.5.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 11 Jun 2020 22:48:58 -0400

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  libghc-exceptions-prof,
  libghc-hashable-dev,
  libghc-hashable-prof,
- libghc-http-client-dev (>= 0.5.3.2),
+ libghc-http-client-dev (>= 0.6),
  libghc-http-client-prof,
  libghc-http-client-tls-dev (>= 0.3.3),
  libghc-http-client-tls-prof,
@@ -87,7 +87,7 @@
  libghc-psqueues-doc,
  libghc-time-locale-compat-doc,
  libghc-unordered-containers-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: http://www.serpentine.com/wreq
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-wreq
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-wreq]

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,11 @@
 # Disable doctests since they require network access
 DEB_SETUP_GHC_CONFIGURE_ARGS += -f-doctest
 
+# Disable tests on s390x. They fail randomly with:
+# InternalException Network.Socket.recvBuf: resource vanished (Connection reset by peer)
+ifneq (,$(filter s390x, $(DEB_HOST_ARCH)))
+	DEB_ENABLE_TESTS = no
+endif
+
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-wreq 0.5.3.3

=== debian/changelog ===
haskell-wreq (0.5.3.3-2) unstable; urgency=medium

  * Disable testsuite, which depends on broken haskell-snap-server

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 09 Aug 2022 10:58:01 +0300

haskell-wreq (0.5.3.3-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 31 Jul 2022 20:43:23 -0400

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,6 @@
  libghc-case-insensitive-prof,
  libghc-cryptonite-dev,
  libghc-cryptonite-prof,
- libghc-exceptions-dev (>= 0.5),
- libghc-exceptions-prof,
  libghc-hashable-dev,
  libghc-hashable-prof,
  libghc-http-client-dev (>= 0.6),
@@ -36,38 +34,20 @@
  libghc-http-types-dev,
  libghc-http-types-dev (>= 0.8),
  libghc-http-types-prof,
- libghc-hunit-dev,
  libghc-lens-aeson-dev,
  libghc-lens-aeson-prof,
  libghc-memory-dev,
  libghc-memory-prof,
  libghc-mime-types-dev,
  libghc-mime-types-prof,
- libghc-network-info-dev,
  libghc-psqueues-dev (>= 0.2),
  libghc-psqueues-prof,
- libghc-quickcheck2-dev (>= 2.7),
  libghc-aeson-dev,
- libghc-aeson-pretty-dev (>= 0.8.0),
- libghc-base64-bytestring-dev,
- libghc-doctest-dev,
- libghc-http-client-dev,
- libghc-http-types-dev,
  libghc-lens-dev,
- libghc-network-info-dev,
- libghc-snap-core-dev (>= 1.0.0.0),
- libghc-snap-server-dev (>= 0.9.4.4),
- libghc-temporary-dev,
- libghc-test-framework-dev,
- libghc-test-framework-hunit-dev,
- libghc-test-framework-quickcheck2-dev,
  libghc-time-locale-compat-dev,
  libghc-time-locale-compat-prof,
- libghc-unix-compat-dev,
  libghc-unordered-containers-dev,
  libghc-unordered-containers-prof,
- libghc-uuid-dev,
- libghc-vector-dev,
 Build-Depends-Indep:
  ghc-doc,
  libghc-aeson-doc,
@@ -76,7 +56,6 @@
  libghc-base16-bytestring-doc,
  libghc-case-insensitive-doc,
  libghc-cryptonite-doc,
- libghc-exceptions-doc,
  libghc-hashable-doc,
  libghc-http-client-doc,
  libghc-http-client-tls-doc,
@@ -87,7 +66,7 @@
  libghc-psqueues-doc,
  libghc-time-locale-compat-doc,
  libghc-unordered-containers-doc,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: http://www.serpentine.com/wreq
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-wreq
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-wreq]

## haskell-wreq 0.5.4.2

=== debian/changelog ===
haskell-wreq (0.5.4.2-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 24 Oct 2023 09:19:22 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  cdbs,
  debhelper (>= 10),
- ghc (>= 8.4.3),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-aeson-dev,
@@ -66,7 +66,7 @@
  libghc-psqueues-doc,
  libghc-time-locale-compat-doc,
  libghc-unordered-containers-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://www.serpentine.com/wreq
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-wreq
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-wreq]

## haskell-wreq 0.5.4.3

=== debian/changelog ===
haskell-wreq (0.5.4.3-2) unstable; urgency=medium

  * Build using dh-haskell
  * Sourceful upload for GHC 9.10

 -- Scott Talbert <swt@techie.net>  Wed, 11 Feb 2026 22:46:06 -0500

haskell-wreq (0.5.4.3-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 08 Oct 2024 19:10:03 +0300

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
- ghc (>= 9.4),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
+ ghc (>= 9.10),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-aeson-dev,
@@ -23,8 +23,8 @@
  libghc-base16-bytestring-prof,
  libghc-case-insensitive-dev,
  libghc-case-insensitive-prof,
- libghc-cryptonite-dev,
- libghc-cryptonite-prof,
+ libghc-crypton-dev,
+ libghc-crypton-prof,
  libghc-hashable-dev,
  libghc-hashable-prof,
  libghc-http-client-dev (>= 0.6),
@@ -55,7 +55,7 @@
  libghc-authenticate-oauth-doc,
  libghc-base16-bytestring-doc,
  libghc-case-insensitive-doc,
- libghc-cryptonite-doc,
+ libghc-crypton-doc,
  libghc-hashable-doc,
  libghc-http-client-doc,
  libghc-http-client-tls-doc,
@@ -66,7 +66,7 @@
  libghc-psqueues-doc,
  libghc-time-locale-compat-doc,
  libghc-unordered-containers-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: http://www.serpentine.com/wreq
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-wreq
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-wreq]

=== debian/rules ===
#!/usr/bin/make -f

export DEB_ENABLE_TESTS = no # Depends on broken snap-server

# Disable doctests since they require network access
export DEB_SETUP_GHC_CONFIGURE_ARGS += -f-doctest

# Disable tests on s390x. They fail randomly with:
# InternalException Network.Socket.recvBuf: resource vanished (Connection reset by peer)
ifneq (,$(filter s390x, $(DEB_HOST_ARCH)))
	export DEB_ENABLE_TESTS = no
endif

%:
	dh $@
